9 Replies Latest reply on Oct 1, 2016 10:07 AM by mbenke

    Premiere Elements 14, video editor. The project is not compatible with current version.

    sophied46661751

      I am using PE 14, video editor. I have been working on the same project for weeks. My project was saved again yesterday (auto saved and saved). Today, I can't open it. I get this message: the project is not compatible with current version.